<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/tags/release-3.0.0-RC2/class/htdocs/datalist/ZoneDataList.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// +------------------------------------------------------------------------+
// $Id: ZoneDataList.php 4717 2006-08-09 22:47:42Z schonstal $

/**
  * ZoneDataList.php - contains the {@link ZoneDataList} class
  *
  * @author $Author: schonstal $
  * @filesource
  * @package    htdocs
  * @subpackage datalists
  */

require_once(DAOEXT.'/zone.php');
require_once(HTCLASS.'/DB_DataObjectDataList.php');
require_once(HTCLASS.'/DB_DataObjectDataListSource.php');

/**
  * Table listing for zones
  *
  * @link   http://phphtmllib.newsblob.com/javadoc.php phpHtmlLib API Documentation
  * @link   http://phphtmllib.newsblob.com/doc/phpHtmlLib/DefaultGUIDatalist.html
            DefaultGUIDataList API Documentation
  * @package    htdocs
  * @subpackage datalists
  */
class ZoneDataList extends DB_DataObjectDataList
{

//{{{   get_data_source()

    function get_data_source()
    {
        $zoneobj = new Zone();
        $src = &new DB_DataObjectDataListSource($zoneobj);
        $this->set_data_source($src);
        $this->_default_orderby = 'name';
    }

//}}}
//{{{   _user_setup()

    function _user_setup()
    {
        $this->add_header_item(_("Zone Name"), '15%', 'name', SORTABLE, SEARCHABLE);
        $this->add_header_item(_("Hosts"), '15%');
        $this->add_header_item(_("Domains"),'15%');
        $this->add_header_item(_("CNAMES"), '15%');
        $this->add_header_item(_("MX Records"),'15%');
        $this->add_header_item(_("Action"),'15%');
    }

//}}}
//{{{   build_column_item()

    function build_column_item($row_data, $col_name)
    {
        global $conf;
        $source = $this->_datasource;
        switch($col_name) {
            case _('Hosts'):
                $dbdobj = DB_DataObject::Factory('host');
                $dbdobj->zone = $row_data['id'];
                $tmp = $dbdobj->find();
                $obj = ($tmp ? $tmp : "0");
                break;
            case _('Domains'):
                $dbdobj = DB_DataObject::Factory('zone_domain');
                $dbdobj->zone = $row_data['id'];
                $tmp = $dbdobj->find();
                $obj = ($tmp ? $tmp : "0");
                break;
            case _('CNAMES'):
                $dbdobj = DB_DataObject::Factory('cname');
                $dbdobj->zone = $row_data['id'];
                $tmp = $dbdobj->find();
                $obj = ($tmp ? $tmp : "0");
                break;
            case _('MX Records'):
                $dbdobj = DB_DataObject::Factory('mx');
                $dbdobj->zone = $row_data['id'];
                $tmp = $dbdobj->find();
                $obj = ($tmp ? $tmp : "0");
                break;
            case _('Action'): //static row is just links
                $obj = container();
                $obj = Module::apply_filter('action_module', $obj, $row_data, 'zone');
                break;
            default:
                $obj = parent::build_column_item($row_data, $col_name);
        }

        return $obj;
    }

//}}}

}

?>
