<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Zack Bartel <bartel@osuosl.org>                             |
// |            Josh Schonstal <schonstal@osuosl.org                        |
// +------------------------------------------------------------------------+
// $Id: NameserverEditForm.php 3971 2005-12-15 23:09:25Z bartel $

/**
 *  NameserverEditForm.php - contains the {@link NameserverEditForm} class
 *
 *  @author $Author:$
 *  @package    htdocs  
 *  @subpackage forms
 *  @filesource
 */

require_once(FORMDIR."/NameserverCreateForm.php");

/**
 *  This class is the form that is used to edit a Nameserver object
 *
 *  @package    htdocs
 *  @subpackage forms
 */ 
class NameserverEditForm extends NameserverCreateForm
{


//{{{   form_init_data()
    /*
     *  Function that initializes the form elements to the
     *  existing values.
     *
     *
     */

    function form_init_data()
    {
        $dom = new NS($_REQUEST['id']);
        $dom->query("BEGIN");
        $formarray = $this->remap($dom->toArray(), FORM);

        foreach($formarray as $var=>$val)
            $this->set_element_value($var, $val);

        $dom->query("COMMIT");

    }
//}}}
//{{{   form_action()

    function form_action()
    {
        global $user;
        $res = true;

        switch(strtolower($this->get_action())) {

        case 'submit':
            $vals = $this->get_all_element_values();
        
            $ns = new NS($_REQUEST['id']);
            $ns->query("BEGIN");

            $ns->setFrom($this->remap($vals, DBDO));

            if($ns->update() === false) {   //Returns 0 rows affected when not updating anything
                $ns->query("ROLLBACK");
                $res = false;
                $this->add_error(_("ERROR"),_("Couldn't update database"));
            } else {
                $ns->query("COMMIT");
                $ns->write_history(_("NS updated"), ACTION_MODIFY,$user->username);
            }
            break;

        default:
            die_hard(_("Invalid form action"));
            break;
        }
        return $res;
    }

//}}}i
//{{{   form_success()

    function form_success()
    {
        $div = html_div("msuccess");
        $indlink = html_a(web_root()."index.php", _("[Return to Index]"));
        $sublink = html_a(web_root()."ns.php",_("[Return to Nameserver List]"));
        $div->add(_("Nameserver successfully modified!"),html_br());
        $div->add($indlink, $sublink);
        
       // header("Location: ".$_SERVER['SCRIPT_NAME']);
        return $div;
    }

//}}}

//{{{   form_hidden()

    /**
     *  Add some hidden values that we'll need later.  The ID of the OPTION and the
     *  get action so we can get back to the form.
     *
     *  @return Container   Container that has the hidden elements in it
     */
    function form_hidden()
    {
        $action =  new FEHidden(_("action"), $_REQUEST['action']);
        $id = new FEHidden(_("id"), $_REQUEST['id']);

        $this->add_elements($action, $id);

        return container($this->element_form(_('action')), $this->element_form(_('id')));
    }

//}}}

}

?>
