
ALTER TABLE dhcp_options CHANGE value value varchar(255) NOT NULL default '';
ALTER TABLE dhcp_options CHANGE space space varchar(255) NOT NULL default '';
ALTER TABLE dhcp_options CHANGE type type varchar(40) NOT NULL default 'default';
ALTER TABLE help DROP id;
ALTER TABLE help DROP KEY ident;
ALTER TABLE help CHANGE ident ident varchar(128) NOT NULL PRIMARY KEY default '';
# pull host_history info into object_history
ALTER TABLE host CHANGE type type varchar(128) default NULL; 
ALTER TABLE host CHANGE os os varchar(128) default NULL; 
ALTER TABLE host CHANGE location location varchar(128) default NULL; 
ALTER TABLE host CHANGE serial serial varchar(128) default NULL; 
ALTER TABLE host CHANGE other_id other_id varchar(128) default NULL; 
ALTER TABLE host CHANGE expire expire int(11) unsigned default '0'; 
ALTER TABLE host CHANGE po_number po_number varchar(128) default NULL; 
ALTER TABLE host CHANGE warranty_date warranty_date varchar(128) default NULL; 
ALTER TABLE host CHANGE owning_unit owning_unit varchar(128) default NULL; 
ALTER TABLE host CHANGE user_id user_id varchar(128) default NULL; 
ALTER TABLE host DROP INDEX ha, ADD INDEX ha (ha);

#CREATE TABLE `modules` (
#    `name` varchar(20) NOT NULL default '',
#    `enabled` smallint(1) unsigned NOT NULL default '0',
#    `needsConfigFile` tinyint(1)   NOT NULL default '0',
#    `config_mtime` timestamp(14) NOT NULL,
#     PRIMARY KEY  (`name`)
#) TYPE=MyISAM;

CREATE TABLE `modules` (
  `name` varchar(255) NOT NULL default '',
  `enabled` smallint(1) unsigned NOT NULL default '0',
  `needsConfigFile` TINYINT(1) DEFAULT '0' NOT NULL,
  `config_mtime` TIMESTAMP NULL default NULL,
  PRIMARY KEY  (`name`),
  KEY `configs` (`enabled`, `needsConfigFile`)
) TYPE=InnoDB;


# ALTER TABLE modules ADD KEY configs (enabled, needsConfigFile);
ALTER TABLE session CHANGE id sessid varchar(32) NOT NULL default '';
ALTER TABLE session ADD data blob;
ALTER TABLE session ADD last_access int(10) unsigned NOT NULL default '0';
ALTER TABLE session DROP username;
ALTER TABLE session DROP expire;
ALTER TABLE session DROP type;
ALTER TABLE session DROP value;
ALTER TABLE session DROP PRIMARY KEY, ADD PRIMARY KEY (sessid);

ALTER TABLE user CHANGE password password varchar(40) NOT NULL default '';
ALTER TABLE user CHANGE type type varchar(20) NOT NULL default 'auth_maintain';
ALTER TABLE user CHANGE host_view host_view varchar NOT NULL default 'basic';

UPDATE user set `type` = 'auth_legacy' WHERE `type` = 'mysql';
UPDATE user set `type` = 'auth_ldap' WHERE `type` = 'ldap';

ALTER TABLE object_history ADD zone int(11) default NULL;
ALTER TABLE object_history ADD action varchar(16) NOT NULL default '';
ALTER TABLE object_history ADD summary text NOT NULL;
ALTER TABLE object_history ADD KEY(zone);

ALTER TABLE object_option CHANGE type type varchar(20) NOT NULL default 'host';
ALTER TABLE object_option CHANGE scope scope varchar(20) NOT NULL default 'host';

ALTER TABLE pointer CHANGE type type varchar(20) NOT NULL default 'reverse';

ALTER TABLE ranges CHANGE type type varchar(20) NOT NULL default 'static';
ALTER TABLE ranges ADD name varchar(255) NOT NULL default '';
UPDATE ranges SET name = CONCAT('IP Range ',`id`);

ALTER TABLE soa CHANGE delegated delegated tinyint(1) NOT NULL default '1';
ALTER TABLE soa CHANGE primary_master primary_master varchar(255) NOT NULL default '';
ALTER TABLE soa CHANGE domain domain  varchar(255) NOT NULL default '';

ALTER TABLE subnet CHANGE status status varchar(20) NOT NULL default 'visible';

ALTER TABLE zone CHANGE purgeable purgeable tinyint(1) NOT NULL default '0';
ALTER TABLE zone CHANGE notify notify tinyint(1) NOT NULL default '0';

INSERT INTO `workgroup` ( `id` , `name` ) VALUES ('', 'Default' );
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('auth_maintain', '1', '0', NOW( ));
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('auth_legacy', '1', '0', NOW( ));
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('maintain_nav', '1', '0', NOW( ));
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('maintain_search', '1', '0', NOW( ));
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('maintain_widgets', '1', '0', NOW( ));
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` ) VALUES ('maintain_action', '1', '0', NOW( ));

RENAME TABLE `zone_cname` to `cname`;
RENAME TABLE `zone_mx` to `mx`;

ALTER TABLE cname TYPE=InnoDB;
ALTER TABLE dhcp_class TYPE=InnoDB;
ALTER TABLE dhcp_options TYPE=InnoDB;
ALTER TABLE domain TYPE=InnoDB;
ALTER TABLE help TYPE=InnoDB;
ALTER TABLE host_history TYPE=InnoDB;
ALTER TABLE ip_blocks TYPE=InnoDB;
ALTER TABLE modules TYPE=InnoDB;
ALTER TABLE mx TYPE=InnoDB;
ALTER TABLE nameserver TYPE=InnoDB;
ALTER TABLE object_history TYPE=InnoDB;
ALTER TABLE object_option TYPE=InnoDB;
ALTER TABLE pointer TYPE=InnoDB;
ALTER TABLE ranges TYPE=InnoDB;
ALTER TABLE `session` TYPE=InnoDB;
ALTER TABLE soa TYPE=InnoDB;
ALTER TABLE subnet TYPE=InnoDB;
ALTER TABLE update_info TYPE=InnoDB;
ALTER TABLE user TYPE=InnoDB;
ALTER TABLE vlan TYPE=InnoDB;
ALTER TABLE workgroup TYPE=InnoDB;
ALTER TABLE zone TYPE=InnoDB;
ALTER TABLE zone_domain TYPE=InnoDB;
ALTER TABLE zone_range TYPE=InnoDB;
ALTER TABLE zone_user TYPE=InnoDB;
ALTER TABLE zone_workgroup TYPE=InnoDB;
ALTER TABLE host TYPE=InnoDB;
